Bug 196512 - vt(4): Keyboard not working properly when not using kbdmux(4)
Summary: vt(4): Keyboard not working properly when not using kbdmux(4)
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 9.3-RELEASE
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-bugs (Nobody)
URL:
Keywords: vt
Depends on:
Blocks:
 
Reported: 2015-01-05 14:10 UTC by Andre Albsmeier
Modified: 2015-07-07 16:11 UTC (History)
1 user (show)

See Also:


Attachments
patch (625 bytes, patch)
2015-01-05 14:10 UTC, Andre Albsmeier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andre Albsmeier 2015-01-05 14:10:01 UTC
Created attachment 151356 [details]
patch

PR 194718

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=194718

was closed but never MFC'ed to 9-STABLE. The patch below should apply cleanly.
Comment 1 commit-hook freebsd_committer 2015-04-24 19:26:52 UTC
A commit references this bug:

Author: emaste
Date: Fri Apr 24 19:26:01 UTC 2015
New revision: 281947
URL: https://svnweb.freebsd.org/changeset/base/281947

Log:
  MFC r273973: vt(4): Fix keyboard allocation when kbdmux(4) isn't used

    The problem was that only the kbdmux keyboard index was saved in
    vd->vd_keyboard. This index is -1 when kbdmux isn't used. In this
    case, the keyboard was correctly allocated, but the returned index was
    discarded.

  PR:		196512

Changes:
_U  stable/9/sys/
_U  stable/9/sys/dev/
  stable/9/sys/dev/vt/vt_core.c